#
# Conditional build:
%bcond_without	tests	# unit tests

%define		module	fastimport
Summary:	Python parser for fastimport (VCS interchange format)
Summary(pl.UTF-8):	Pythonowy parser formatu fastimport (do wymiany VCS)
Name:		python3-%{module}
Version:	0.9.14
Release:	3
License:	GPL v2+
Group:		Libraries/Python
#Source0Download: https://pypi.org/project/simple/
Source0:	https://files.pythonhosted.org/packages/source/f/fastimport/%{module}-%{version}.tar.gz
# Source0-md5:	be8e2780fadd9e4047c7b37b91e20751
URL:		https://pypi.org/project/fastimport/
BuildRequires:	python3-modules >= 1:3.6
%if %{with tests}
BuildRequires:	python3-nose
%endif
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the Python parser that was originally developed for
bzr-fastimport, but extracted so it can be used by other projects.

%description -l pl.UTF-8
Pythonowy parser, oryginalnie stworzony na potrzeby bzr-fastimport,
ale wyciągnięty do osobnego modułu, dzięki czemu może być używany
przez inne projekty.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
nosetests-%{py3_ver} fastimport
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/%{module}/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/fast-import-filter
%attr(755,root,root) %{_bindir}/fast-import-info
%attr(755,root,root) %{_bindir}/fast-import-query
%{py3_sitescriptdir}/fastimport
%{py3_sitescriptdir}/fastimport-%{version}-py*.egg-info
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-fastimport.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> a1a81f3
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 8783ebc
- rebuild with python 3.10

* Mon Mar 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 45921b5
- python-fastimport.spec updated to 0.9.14 for python 3.6+

* Mon Mar 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 5117355
- updated to 0.9.8 (last version with python2 support)

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 9d99d38
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 53e7e89
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ccc384d
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 986a824
- automatic change: use py_build/py_install macros

* Sun Dec 08 2013 Elan Ruusamäe <glen@delfi.ee> ed327d0
- unify

* Thu Dec 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> 1e385f7
- updated to 0.9.2

* Mon Jul 02 2012 Elan Ruusamäe <glen@pld-linux.org> 9195dd4
- new, based on fedora .spec

